Debian Bug report logs - #565772
xterm: Incomplete redraw when showing alternate screen

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Robert Ross <rob.ross@ymail.com>

Date: Mon, 18 Jan 2010 18:27:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version xterm/253-1

Fixed in version xterm/255-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#565772; Package xterm. (Mon, 18 Jan 2010 18:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Ross <rob.ross@ymail.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 18 Jan 2010 18:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Ross <rob.ross@ymail.com>
To: submit@bugs.debian.org
Subject: xterm: Incomplete redraw when showing alternate screen
Date: Mon, 18 Jan 2010 10:18:40 -0800 (PST)
Package: xterm
Version: 253-1

Start xterm and type "man xterm", <Enter>, and <q>.  Then hold <Ctrl> and the middle mouse button to show the "VT Options" menu and select "Show Alternate Screen".  Only the area covered by the "VT Options" menu is redrawn instead of the whole window.

I am using Ubuntu 9.04 (jaunty) with Linux kernel 2.6.28-17-generic and libc6 2.9-4ubuntu6.1 along with "xterm_253-1_amd64.deb" and "libutempter0_1.1.5-2_amd64.deb" downloaded from the links at "http://packages.debian.org/squeeze/xterm".  Since my setup is out-of-scope, feel free to ignore this bug if you cannot reproduce it.



      





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#565772; Package xterm. (Tue, 19 Jan 2010 00:48:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 19 Jan 2010 00:48:11 GMT) Full text and rfc822 format available.

Message #10 received at 565772@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 565772@bugs.debian.org
Cc: 565772-submitter@bugs.debian.org
Subject: re: #565772 xterm: Incomplete redraw when showing alternate screen
Date: Mon, 18 Jan 2010 19:46:10 -0500
[Message part 1 (text/plain, inline)]
thanks (I see this starting in #244, which was the large change last
summer - seems that it took a while to surface).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Robert Ross <rob.ross@ymail.com>:
Bug#565772. (Tue, 19 Jan 2010 00:48:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#565772; Package xterm. (Wed, 20 Jan 2010 02:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 20 Jan 2010 02:12:04 GMT) Full text and rfc822 format available.

Message #18 received at 565772@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 565772@bugs.debian.org
Cc: 565772-submitter@bugs.debian.org
Subject: re: #565772 xterm: Incomplete redraw when showing alternate screen
Date: Tue, 19 Jan 2010 21:06:28 -0500
[Message part 1 (text/plain, inline)]
Fix attached...

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[xterm-254a.patch.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Robert Ross <rob.ross@ymail.com>:
Bug#565772. (Wed, 20 Jan 2010 02:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#565772; Package xterm. (Sun, 24 Jan 2010 00:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 24 Jan 2010 00:06:06 GMT) Full text and rfc822 format available.

Message #26 received at 565772@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 565772@bugs.debian.org
Cc: 565772-submitter@bugs.debian.org
Subject: re: #565772 xterm: Incomplete redraw when showing alternate screen
Date: Sat, 23 Jan 2010 18:02:37 -0500
[Message part 1 (text/plain, inline)]
This is fixed in #255

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Sun, 24 Jan 2010 00:06:11 GMT) Full text and rfc822 format available.

Message sent on to Robert Ross <rob.ross@ymail.com>:
Bug#565772. (Sun, 24 Jan 2010 00:06:16 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Wed, 03 Mar 2010 13:57:15 GMT) Full text and rfc822 format available.

Notification sent to Robert Ross <rob.ross@ymail.com>:
Bug acknowledged by developer. (Wed, 03 Mar 2010 13:57:15 GMT) Full text and rfc822 format available.

Message #36 received at 565772-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 565772-close@bugs.debian.org
Subject: Bug#565772: fixed in xterm 255-1
Date: Wed, 03 Mar 2010 13:53:05 +0000
Source: xterm
Source-Version: 255-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_255-1.diff.gz
  to main/x/xterm/xterm_255-1.diff.gz
xterm_255-1.dsc
  to main/x/xterm/xterm_255-1.dsc
xterm_255-1_i386.deb
  to main/x/xterm/xterm_255-1_i386.deb
xterm_255.orig.tar.gz
  to main/x/xterm/xterm_255.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 565772@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 03 Mar 2010 14:38:17 +0100
Source: xterm
Binary: xterm
Architecture: source i386
Version: 255-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 562640 565772
Changes: 
 xterm (255-1) unstable; urgency=low
 .
   * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
     good reason.  Thanks, Colin Watson!
   * Add build-dep on libxkbfile-dev for XkbBell(3).
   * Remove myself from Uploaders
   * New upstream release
     + correct logic used to switch to alternate screen using FIFO-lines
       configuration (closes: #565772)
     + improve manpage by checking for actual locations of utmp/wtmp files
       (closes: #562640)
   * Refresh patches 900_debian_xterm.diff, 901_xterm_manpage.diff,
     902_windowops.diff, 904_fontops.diff.
   * Bump Standards-Version to 3.8.4.
Checksums-Sha1: 
 f9d58abfd02ecb7c24ec5e8f67a93e0a10edd153 1932 xterm_255-1.dsc
 09bd7afe42afd14e36b5467bc2e8b6bdb86102e0 909928 xterm_255.orig.tar.gz
 92083ef4cedc308224bebfb2005db9d1cc73e660 72823 xterm_255-1.diff.gz
 b3f1e1ecc5b642fdba989e4e7eb1a944af8d9ee7 512246 xterm_255-1_i386.deb
Checksums-Sha256: 
 4880cf3d6e02b74391d0ba0b2ccd480dbc897c0d35e65c8c1b09d359bee91eb4 1932 xterm_255-1.dsc
 75d5eecd05093eef94dc0912f461bbcd7a706dedfefddc2998136a064c14284a 909928 xterm_255.orig.tar.gz
 921372025be4fa8fcf150e7c689775ec992d0c4e9e79d300bf6fe464c0192d15 72823 xterm_255-1.diff.gz
 fbe6e0bd1b1630cab0d4a835ab5793105cc93d2a6df4a115427edf95f292163e 512246 xterm_255-1_i386.deb
Files: 
 6e3a2d5efba67cb91c6338e64b4c8a06 1932 x11 optional xterm_255-1.dsc
 158c6b39ea8934a11e4376a3a9741252 909928 x11 optional xterm_255.orig.tar.gz
 a8b07c157a69f9e5ba0e78d91567cba9 72823 x11 optional xterm_255-1.diff.gz
 dcd512912d2534d1af563df0a723ad12 512246 x11 optional xterm_255-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLjma5AAoJEDEBgAUJBeQMFEUP/izNbAl9yJ/DSxcSanWdgpkl
Lk2ntBaxpQPpZy7LKDJscCDIUJ8gUkg2hJX+u0x5aJqX04zyYYHyXZ/66y865dOX
7nzmwz94CfKw8QpVg/btH62ZD4ILyakIiHH99mYRkv0ol3Fn7TFPbGA+JLDo4HvT
QhJV+OOzrhPYVJcZuMe8Cvg1ss7RsG93ff3LHyBNe3c1Ho4fqcCxj+Wp7GsHA01k
f42cntLm2R6t95+GZfqH+rKUJAXTOBgl8kCKsxFDXX39kHlh0W/EndU/fX21NlWj
c/xIbg+hCGmPy7tIYR8LoAtRDB+cWSa5sKb/tz+Ie9jKNYZoP6rjh7ghQmqD3FJd
spFxmTI9R0ea72udGSs3JC/raUnrYHF515OEKVtNPXLh8d8DOJ3ljwcizR71XHnN
BZg1nlV86QsGNaUdFgYF+vBursOQRlp33OquNg75hEgZcbV7bT+OxPnVLotKXXth
VDeCXqyyhHlZj/bzG1oNan/cBMkTqtR1k8khJmI+sf+nzJ+7Tx27QOTJLomSCYeE
Bq/WgKGLOJie74ZupbMXicWoUHPj9nYAxXxHL177F2/RvZm2Ck4tW8iTRIdktPmk
Akx3hMaDBol65THh+BWb8+jvTERALhjQA2VZA0GZEYZMECDrHG5E0BDijdK/RfCJ
YEaWOhJJBpkePHkbuE4a
=PPUs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Apr 2010 07:37:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:55:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.